/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package InventoryMgmt.Movement;

import java.util.Date;
import java.util.Vector;
import java.math.BigDecimal;

/** 
 * @author TogetherSoft
 * @stereotype moment-interval */
public class Movement {
    public void makeMovement() {
    }

    public void addDetail() {
    }

    public void complete() {
    }

    public void cancel() {
    }

    public BigDecimal calcCost() {
        return new BigDecimal(0);
    }

    public void combine() {
    }

    public void optimizeMovementEfficiency() {
    }

    /**  */
    public void planMovementGivenMovementRequests() {
    }

    public void post() {
    }

    public void order() {
    }

    public Movement mi_generateActualMovement() {
        return new Movement();
    }

    public Vector mi_comparePlanVsActual() {
        return new Vector();
    }

    public boolean mi_isCompleted() {
        return false;
    }

    public BigDecimal mi_estimatePercentCompleted() {
        return new BigDecimal(0);
    }

    public static Vector listPickLists() {
        return new Vector();
    }

    private String number;
    private Date date;
    private int priority;
    private int route;

    /**
     *@shapeType AggregationLink
     * @supplierCardinality 1..*
     * @clientCardinality 1
     * @supplierQualifier ordered
     */
    private MovementDetail lnkUnnamed2;

    /**
     *@supplierCardinality 0..1
     *@clientCardinality 0..*
     */
    private FacilityMgmt.Facility.Vehicle lnkUnnamed;
    private int status;

    /** @supplierCardinality 1 */
    private IMakeMovement lnkUnnamed3;

    /**
     * @clientRole plan
     * @supplierRole actual
     * @supplierCardinality 0..*
     * @clientCardinality 0..1
     */
    private Movement lnkUnnamed4;

    /**
     * @supplierCardinality 0..1
     * @clientCardinality 0..1
     */
    private AccountingMgmt.Posting.Posting lnkUnnamed1;
}


